//----------------------------------------------------------------------------
// Copyright (c) 1997, 1998 by Joseph Parrello. All Rights Reserved.
// Site   : http://space.tin.it/computer/giparrel
// E-Mail : joparrel@tin.it, giusparr@tin.it, giparre@tin.it
//
// Revision:   1.0  (January 2,1998).
//
// Definition of JPControlGadget class.
//
// Read JPCONTGA.TXT for use and license.
//
// Only for OWL 5.02 users.
// OWL and ObjectWindows are trademarks of Borland International.
//
// THIS CLASS AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//----------------------------------------------------------------------------
#if !defined(jpcontga_h)              // Sentry, use file only if it's not already included.
#define jpcontga_h

#if !defined(OWL_CONTROLG_H)
#include <owl/controlg.h>
#endif
#if !defined(OWL_TOOLTIP_H)
#include <owl/tooltip.h>
#endif
#if !defined(OWL_GADGETWI_H)
#include <owl/gadgetwi.h>
#endif
#if !defined(OWL_DECFRAME_H)
#include <owl/decframe.h>
#endif

//{{TControlGadget = JPControlGadget}}
class JPControlGadget : public TControlGadget {
  public:
    JPControlGadget(TWindow& control, TBorderStyle = None);
    virtual ~JPControlGadget();

  private:
    bool				 IsCursorInControl;
    string         LoadInternalString(uint menuItemId);

//{{JPControlGadgetVIRTUAL_BEGIN}}
  public:
    virtual bool IdleAction(long idleCount);
    virtual void Created();
//{{JPControlGadgetVIRTUAL_END}}
};    //{{JPControlGadget}}


#endif  // jpcontga_h sentry.

